TREC 2001 VideoTrack: Shot Boundary Task Evaluation: Class Segmentation

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Segmentation

    java.lang.Object
      |
      +--Segmentation

Direct Known Subclasses:
  RefSegmentation, SysSegmentation

public abstract class Segmentation
extends java.lang.Object

This class represents a segmentation related to a video file used in shot boundary detection task programs of TREC 2001.

Field Summary
`protected java.util.TreeSet` | `transitionSet` This object is containing all the transitions of the segmentation.
`protected java.lang.String` | `videoName` The video name the segmentation is related to.

Constructor Summary
`Segmentation()`

Method Summary
`protected void` | `add(Transition aTransition)` Add a given transition to the segmentation.
`protected int` | `getCutFrameCount()` Returns the number of Cut transitions within the segmentation.
`protected java.util.Iterator` | `getElements()` Returns an iterator on the transitions within the segmentation.
`protected int` | `getTransitionCount()` Returns the number of transitions within the segmentation.
`protected java.lang.String` | `getVideoName()` Returns the video name the segmentation is related to.
`java.lang.String` | `toString()` Returns an Xml string representing the segmentation in a pre-defined format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### videoName

    protected java.lang.String videoName

  The video name the segmentation is related to.
  See Also:
    `getVideoName()`

### transitionSet

    protected java.util.TreeSet transitionSet

  This object is containing all the transitions of the segmentation.
  See Also:
    `getElements()`

Constructor Detail

### Segmentation

    public Segmentation()

Method Detail

### getCutFrameCount

    protected int getCutFrameCount()

  Returns the number of Cut transitions within the segmentation.
  Returns:
    the number of Cut transitions within the segmentation.

### getElements

    protected java.util.Iterator getElements()

  Returns an iterator on the transitions within the segmentation.
  Returns:
    an iterator on the transitions within the segmentation.

### add

    protected void add(Transition aTransition)

  Add a given transition to the segmentation.
  Parameters:
    `aTransition` - the transition to be added to the segmentation.

### getVideoName

    protected java.lang.String getVideoName()

  Returns the video name the segmentation is related to.
  Returns:
    the video name the segmentation is related to.

### getTransitionCount

    protected int getTransitionCount()

  Returns the number of transitions within the segmentation.
  Returns:
    the number of transitions within the segmentation.

### toString

    public java.lang.String toString()

  Returns an Xml string representing the segmentation in a pre-defined format.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    an Xml string representing the segmentation.

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov